# Desarrollo de Aplicaciones Web

En este repositorio se encuentra el código con ejemplos y ejercicios resueltos de las diferentes partes de la asignatura "Desarrollo de Aplicaciones Web" del Grado en Ingeniería del Software de la ETSII URJC.

## El temario de la asignatura se divide en 4 partes

### Parte 1: Tecnologías web básicas de cliente: HTML, CSS, JavaScript y APIs REST
* Tema 1: Introducción
* Tema 2: Maquetación (HTML y CSS)
* Tema 3: JavaScript
* Tema 4: APIs REST

Los ejemplos y ejercicios de esta parte pueden encontrarse en [Parte 1](parte_1)

### Parte 2. Tecnologías web de servidor: Java, Spring y MySQL
* Tema 1: Desarrollo web con Spring
* Tema 2: APIs REST con Spring
* Tema 3: Bases de datos con Spring
* Tema 4: Seguridad en Spring
* Tema 5: Despliegue Spring

Los ejemplos y ejercicios de esta parte pueden encontrarse en [Parte 2](parte_2)

### Parte 3. Despliegue de aplicaciones web
* Tema 1. Virtualización, Cloud Computing y Contenedores
* Tema 2. Docker
* Tema 3. Docker Compose
* Tema 4. Railway
* Tema 5. Heroku

Los ejemplos y ejercicios de esta parte pueden encontrarse en [Parte 3](parte_3)

### Parte 4. Tecnologías web avanzadas de cliente: SPA con Angular
* Tema 1. Introducción: Angular, TypeScript y Herramientas
* Tema 2. Componentes en Angular
* Tema 3. REST y Servicios en Angular
* Tema 4. Aplicaciones multipágina. Router
* Tema 5. Librerías de componentes gráficos
* Tema 6. Publicación

Los ejemplos y ejercicios de esta parte pueden encontrarse en [Parte 4](parte_4)

### Proyectos de ejemplo

El objetivo de la asignatura es que los alumnos desarrollen una aplicación web como si estuvieran trabajando profesionalmente. Los alumnos desarrollarán la aplicación web en grupos, y será entregada por fases. Podemos encontrar proyectos de ejemplo de las diferentes fases de la práctica en [Proyectos de Ejemplo](proyectos_de_ejemplo)